/* events */

.events {
    display: flex;
    flex-direction: row;
    width: 100%;
    border: none;
    color: var(--bg);
    min-height: fit-content;
    align-items: stretch;
    height: 30lvh;
    box-shadow: -10px 10px var(--bg);
}

.event {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    min-height: fit-content;
    text-align: center;
    flex-grow: 1;
    padding-bottom: 1.5rem;
    max-width: calc(100%/3);
}

.type {
    padding: 0.5rem;
    width: 100%;
    border-bottom: 2px var(--bg) solid;
    font-style: italic;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

.event p {
    width: 100%;
    padding-left: 1.5rem;
    padding-right: 1.5rem;
}

.event-blue {
    background: var(--accent-blue);
}

.event-black {
    background: var(--fg);
}

.event-yellow {
    background: var(--accent);
    color: var(--fg);
}

.event p {
    padding-top: 0;
    padding-bottom: 0;
    margin: 0;
}

.event .larger {
    font-size: 2rem;
}

.event a {
    margin-top: auto;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
}

.event:not(.event-yellow) a {
    color: var(--bg);
}

.event.event-yellow a:hover,
.event.event-yellow a:active,
.event.event-yellow a:focus {
    color: var(--accent-blue);
}

.event:not(.event-yellow) a:hover,
.event:not(.event-yellow) a:active,
.event:not(.event-yellow) a:focus {
    color: var(--accent);
    text-shadow: none;
}

#whistlemania {
    background-image: url(/assets/events/whistlemania.jpg);
    background-size: cover;
    background-position: center left;
}

@media only screen and (max-width: 992px) {
    .events {
        flex-direction: column;
        height: unset;
        box-shadow: -5px 5px var(--bg);
    }

    .event {
        height: 70%;
        max-width: 100%;
    }
}
